gr::satellites::encode_rs_impl Class Reference

`#include <encode_rs_impl.h>`

Inheritance diagram for gr::satellites::encode_rs_impl:

## Public Member Functions

| encode_rs_impl (bool dual_basis, int interleave=1)
| encode_rs_impl (int frame_size, bool dual_basis, int interleave=1)
| encode_rs_impl (int symsize, int gfpoly, int fcr, int prim, int nroots, int interleave=1)
| encode_rs_impl (int frame_size, int symsize, int gfpoly, int fcr, int prim, int nroots, int interleave)
| ~encode_rs_impl () override
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items) override
void | msg_handler (pmt::pmt_t pmt_msg)

## Additional Inherited Members

Public Types inherited from gr::satellites::encode_rs
typedef std::shared_ptr< encode_rs > | sptr
Static Public Member Functions inherited from gr::satellites::encode_rs
static sptr | make (bool dual_basis, int interleave=1)
| Constructs a CCSDS Reed Solomon encoder using PDU IO.
static sptr | make (int frame_size, bool dual_basis, int interleave=1)
| Constructs a CCSDS Reed Solomon encoder using vector stream IO.
static sptr | make (int symsize, int gfpoly, int fcr, int prim, int nroots, int interleave=1)
| Constructs a generic Reed Solomon encoder using PDU IO.
static sptr | make (int frame_size, int symsize, int gfpoly, int fcr, int prim, int nroots, int interleave)
| Constructs a generic Reed Solomon encoder using vector stream IO.

## Constructor & Destructor Documentation

## encode_rs_impl() [1/4]

gr::satellites::encode_rs_impl::encode_rs_impl | ( | bool | dual_basis,
|  | int | interleave = 1 )

## encode_rs_impl() [2/4]

gr::satellites::encode_rs_impl::encode_rs_impl | ( | int | frame_size,
|  | bool | dual_basis,
|  | int | interleave = 1 )

## encode_rs_impl() [3/4]

gr::satellites::encode_rs_impl::encode_rs_impl | ( | int | symsize,
|  | int | gfpoly,
|  | int | fcr,
|  | int | prim,
|  | int | nroots,
|  | int | interleave = 1 )

References fcr, nroots, and prim.

## encode_rs_impl() [4/4]

gr::satellites::encode_rs_impl::encode_rs_impl | ( | int | frame_size,
|  | int | symsize,
|  | int | gfpoly,
|  | int | fcr,
|  | int | prim,
|  | int | nroots,
|  | int | interleave )

References fcr, nroots, and prim.

## ~encode_rs_impl()

gr::satellites::encode_rs_impl::~encode_rs_impl | ( |  | ) |

override

## Member Function Documentation

## msg_handler()

void gr::satellites::encode_rs_impl::msg_handler | ( | pmt::pmt_t | pmt_msg | ) |

## work()

int gr::satellites::encode_rs_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

override

The documentation for this class was generated from the following file:

- encode_rs_impl.h